Create a new well

Request

Create a new well

Security
bearer and appkey
Headers
slb-data-partition-idstringrequired

The data partition id.

Bodyapplication/json
namestringrequired
slot_idstring
structure_idstringrequired
locationobjectrequired
ground_levelnumberrequired
external_tagstring
countrystring
client_namestring
uwistring
uncertaintyobject(Uncertainty)
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/msd/v2/wells \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-data-partition-id: string' \
  -d '{
    "name": "string",
    "slot_id": "string",
    "structure_id": "string",
    "location": {
      "crs": "string",
      "ns": 0,
      "ew": 0,
      "distance": 0,
      "azimuth": 0,
      "coordinates_type": "string",
      "northing": 0,
      "easting": 0,
      "latitude": 0,
      "longitude": 0
    },
    "ground_level": 0,
    "external_tag": "string",
    "country": "string",
    "client_name": "string",
    "uwi": "string",
    "uncertainty": {
      "confidence": 0,
      "radius": 0
    }
  }'

Responses

Success

Bodyapplication/json
CreatedIdstring
Response
{ "CreatedId": "string" }